# frozen_string_literal: true

module Codebreaker
  class Difficulties
    LEVELS = {
      easy: {
        attempts: 15,
        hints: 2
      },
      medium: {
        attempts: 10,
        hints: 2
      },
      hell: {
        attempts: 5,
        hints: 1
      }
    }.freeze
    attr_reader :level, :attempts, :hints

    def initialize(difficulties)
      @level = difficulties
      @attempts = LEVELS[difficulties.to_sym][:attempts]
      @hints = LEVELS[difficulties.to_sym][:hints]
    end

    class << self
      def valid_difficult(difficulties)
        Verifier.verify_valid_difficult(difficulties)
      end
    end
  end
end
